Subject: bug#79336: [PATCH] df: fix potential null pointer dereference

From: Paul Eggert <[email-masked]>
Date: Sun, 31 Aug 2025 19:28:23 -0700

On 8/31/25 18:58, yubiao hu wrote:
> Yes, this bug was identified via static code analysis. The initial
> finding that core dump would occur in `cell = xstrdup (mount_point);`
> when mount_point is NULL.

It appears that the static analysis is reporting a false positive. Which 
static analyzer are you using? Or are you doing this by hand?

Do you get a false positive if you install the patch I sent you earlier? 
You can find that patch again here:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79336#8